import { registerRenderType } from '../vendors/organik';
const viewRenderTypeDescriptors = [
    // List view
    { name: 'list' },
    { name: 'table' },
    // Object view
    { name: 'form' },
];
const inputRenderTypeDescriptors = [
    { name: 'input' },
    { name: 'textarea' },
    { name: 'radio' },
    { name: 'checkbox' },
    { name: 'switch' },
    { name: 'select' },
];
const actionRenderTypeDescriptors = [{ name: 'button' }, { name: 'link' }];
[
    ...viewRenderTypeDescriptors,
    ...inputRenderTypeDescriptors,
    ...actionRenderTypeDescriptors,
].forEach(registerRenderType);
