import { DataValue, RequestParams, ResponseResult, ResponseSuccess, ResponseFail } from '../../vendors/organik';
import { ObjectValue, ListValue } from '../../types';
import { RelationViewField } from '../../types/input';
import { FieldWidgetConfig } from '../../types/widget/field';
import { FieldHeadlessWidget } from './Field';
declare class RelationFieldHeadlessWidget<VT extends ObjectValue | ListValue, CT extends FieldWidgetConfig = FieldWidgetConfig> extends FieldHeadlessWidget<VT, CT, RelationViewField> {
    getLabelKey(): string;
    getValueKey(): string;
    fetchReferenceValue(data: VT, callback: (result: ResponseResult<DataValue>) => void): void;
    fetchRelatedList(params: RequestParams, success?: ResponseSuccess, fail?: ResponseFail): void;
}
export { RelationFieldHeadlessWidget };
