import { ThemeOptions } from '../types';
/**
 * 设置默认主题
 *
 * @param options 配置项
 * @param merge 是否合并
 */
declare function setDefaultTheme(options: ThemeOptions, merge?: boolean): void;
declare function getThemeOption(optionKey: keyof ThemeOptions): any;
declare function getBehaviorByKey(key: string, defaultBehavior?: any): any;
declare function resolveFieldBehavior(config: Record<string, any>, key: string, defaultBehavior: any): any;
export { setDefaultTheme, getThemeOption, getBehaviorByKey, resolveFieldBehavior };
