import { DataValue } from '../../vendors/organik';
import { UnknownFilter, FilterDescriptor } from '../../types/input';
import { FilterWidgetConfig, IFilterWidget } from '../../types/widget/filter';
import { BaseHeadlessWidget } from '../base';
declare class FilterHeadlessWidget<VT extends DataValue = DataValue, CT extends FilterWidgetConfig = FilterWidgetConfig, FT extends UnknownFilter = FilterDescriptor> extends BaseHeadlessWidget<IFilterWidget<VT>, CT> {
    protected getFilter(): FT;
    getConfig(): CT;
    getPlaceholder(): string;
    isValidationRulesShownAsNative(): boolean;
}
export { FilterHeadlessWidget };
